# Create user

This endpoint creates a new user as an employee without inviting them, leaving the user INACTIVE.
Use it to load your team into Brex ahead of time; invite them later with
Invite user, on the Dashboard, or by using auto-invite rules.

The user is assigned to legal_entity_id when provided, and to your account's default legal entity otherwise.

Endpoint: POST /v2/users/create
Version: 1.0
Security: OAuth2

## Header parameters:

  - `Idempotency-Key` (string,null)

## Request fields (application/json):

  - `first_name` (string, required)

  - `last_name` (string, required)

  - `email` (string, required)

  - `manager_id` (string,null)

  - `department_id` (string,null)

  - `location_id` (string,null)

  - `title_id` (string,null)

  - `cost_center_id` (string,null)

  - `legal_entity_id` (string,null)
    The legal entity to assign the user to. Defaults to the account's default legal entity.

  - `metadata` (object,null)
    The metadata or customized attributes of the user. Maximum number of entries: 100

## Response 200 fields (application/json):

  - `id` (string, required)

  - `first_name` (string, required)
    First name of the user

  - `last_name` (string, required)
    Last name of the user

  - `email` (string, required)
    Email address of the user

  - `status` (string,null)
    Status of the user
    Enum: "INVITED", "ACTIVE", "DISABLED", "PENDING_ACTIVATION", "INACTIVE", "ARCHIVED"

  - `manager_id` (string,null)
    The user id of the manager of this user

  - `department_id` (string,null)

  - `location_id` (string,null)

  - `title_id` (string,null)

  - `cost_center_id` (string,null)

  - `legal_entity_id` (string,null)

  - `metadata` (object,null)
    The metadata or customized attributes of the user. Maximum number of entries: 100

  - `remote_display_id` (string,null)
    Identifier that is displayed on the IDP or HR system, eg, if OKTA identifies you as user xyz

  - `custom_fields` (array,null)
    A list of custom field values associated with the user.

  - `custom_fields.key` (string, required)
    The key of the custom field.

  - `custom_fields.value` (any, required)


